Skip to main content
POST
C#
This endpoint requires the reports.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

Path Parameters

report_id
string<uuid>
required

The ID of the report to retrieve a URL for.

Example:

"4d4c7123-b794-4fad-b1b9-5ab2606e6bbe"

report_execution_id
string<uuid>
required

The ID of the execution of a report to retrieve a URL for.

Example:

"003bc416-f32a-420c-8eb2-062a386e1fb0"

Body

application/json
expires_in
integer
default:5

The URL expiration time, in minutes.

Required range: 1 <= x <= 10080
Example:

5

Response

Successful Response

url
string
required

A signed URL to download the report execution file.

Example:

"https://example.com/download/report.csv?signature=abc123"

expires_at
string<date-time>
required

The date and time when the download URL expires.

Example:

"2024-06-01T00:00:00.000Z"